Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.0.0.0/0
Usable hosts4,294,967,294
Subnet mask0.0.0.0
Addresses4,294,967,296
Network address
0.0.0.0
Broadcast address
255.255.255.255
First usable
0.0.0.1
Last usable
255.255.255.254
Usable hosts
4,294,967,294 (4,294,967,296 less the network and broadcast addresses)
Subnet mask
0.0.0.0
Wildcard mask
255.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/0
Type
Public public
Old class
A (default /8)
As numbers
Hex 00000000 · Integer 0 to 4294967295
Reverse DNS zone
in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00000000.00000000.000000000.0.0.0
Subnet mask00000000.00000000.00000000.000000000.0.0.0
Network00000000.00000000.00000000.000000000.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/10

0.0.0.0/0 makes 1,024 subnets of /10; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.0.0.0/100.0.0.1 to 0.63.255.2540.63.255.2554,194,302
20.64.0.0/100.64.0.1 to 0.127.255.2540.127.255.2554,194,302
30.128.0.0/100.128.0.1 to 0.191.255.2540.191.255.2554,194,302
40.192.0.0/100.192.0.1 to 0.255.255.2540.255.255.2554,194,302
51.0.0.0/101.0.0.1 to 1.63.255.2541.63.255.2554,194,302
61.64.0.0/101.64.0.1 to 1.127.255.2541.127.255.2554,194,302
71.128.0.0/101.128.0.1 to 1.191.255.2541.191.255.2554,194,302
81.192.0.0/101.192.0.1 to 1.255.255.2541.255.255.2554,194,302
92.0.0.0/102.0.0.1 to 2.63.255.2542.63.255.2554,194,302
102.64.0.0/102.64.0.1 to 2.127.255.2542.127.255.2554,194,302
112.128.0.0/102.128.0.1 to 2.191.255.2542.191.255.2554,194,302
122.192.0.0/102.192.0.1 to 2.255.255.2542.255.255.2554,194,302
133.0.0.0/103.0.0.1 to 3.63.255.2543.63.255.2554,194,302
143.64.0.0/103.64.0.1 to 3.127.255.2543.127.255.2554,194,302
153.128.0.0/103.128.0.1 to 3.191.255.2543.191.255.2554,194,302
163.192.0.0/103.192.0.1 to 3.255.255.2543.255.255.2554,194,302
174.0.0.0/104.0.0.1 to 4.63.255.2544.63.255.2554,194,302
184.64.0.0/104.64.0.1 to 4.127.255.2544.127.255.2554,194,302
194.128.0.0/104.128.0.1 to 4.191.255.2544.191.255.2554,194,302
204.192.0.0/104.192.0.1 to 4.255.255.2544.255.255.2554,194,302
215.0.0.0/105.0.0.1 to 5.63.255.2545.63.255.2554,194,302
225.64.0.0/105.64.0.1 to 5.127.255.2545.127.255.2554,194,302
235.128.0.0/105.128.0.1 to 5.191.255.2545.191.255.2554,194,302
245.192.0.0/105.192.0.1 to 5.255.255.2545.255.255.2554,194,302
256.0.0.0/106.0.0.1 to 6.63.255.2546.63.255.2554,194,302
266.64.0.0/106.64.0.1 to 6.127.255.2546.127.255.2554,194,302
276.128.0.0/106.128.0.1 to 6.191.255.2546.191.255.2554,194,302
286.192.0.0/106.192.0.1 to 6.255.255.2546.255.255.2554,194,302
297.0.0.0/107.0.0.1 to 7.63.255.2547.63.255.2554,194,302
307.64.0.0/107.64.0.1 to 7.127.255.2547.127.255.2554,194,302
317.128.0.0/107.128.0.1 to 7.191.255.2547.191.255.2554,194,302
327.192.0.0/107.192.0.1 to 7.255.255.2547.255.255.2554,194,302
338.0.0.0/108.0.0.1 to 8.63.255.2548.63.255.2554,194,302
348.64.0.0/108.64.0.1 to 8.127.255.2548.127.255.2554,194,302
358.128.0.0/108.128.0.1 to 8.191.255.2548.191.255.2554,194,302
368.192.0.0/108.192.0.1 to 8.255.255.2548.255.255.2554,194,302
379.0.0.0/109.0.0.1 to 9.63.255.2549.63.255.2554,194,302
389.64.0.0/109.64.0.1 to 9.127.255.2549.127.255.2554,194,302
399.128.0.0/109.128.0.1 to 9.191.255.2549.191.255.2554,194,302
409.192.0.0/109.192.0.1 to 9.255.255.2549.255.255.2554,194,302
4110.0.0.0/1010.0.0.1 to 10.63.255.25410.63.255.2554,194,302
4210.64.0.0/1010.64.0.1 to 10.127.255.25410.127.255.2554,194,302
4310.128.0.0/1010.128.0.1 to 10.191.255.25410.191.255.2554,194,302
4410.192.0.0/1010.192.0.1 to 10.255.255.25410.255.255.2554,194,302
4511.0.0.0/1011.0.0.1 to 11.63.255.25411.63.255.2554,194,302
4611.64.0.0/1011.64.0.1 to 11.127.255.25411.127.255.2554,194,302
4711.128.0.0/1011.128.0.1 to 11.191.255.25411.191.255.2554,194,302
4811.192.0.0/1011.192.0.1 to 11.255.255.25411.255.255.2554,194,302
4912.0.0.0/1012.0.0.1 to 12.63.255.25412.63.255.2554,194,302
5012.64.0.0/1012.64.0.1 to 12.127.255.25412.127.255.2554,194,302
5112.128.0.0/1012.128.0.1 to 12.191.255.25412.191.255.2554,194,302
5212.192.0.0/1012.192.0.1 to 12.255.255.25412.255.255.2554,194,302
5313.0.0.0/1013.0.0.1 to 13.63.255.25413.63.255.2554,194,302
5413.64.0.0/1013.64.0.1 to 13.127.255.25413.127.255.2554,194,302
5513.128.0.0/1013.128.0.1 to 13.191.255.25413.191.255.2554,194,302
5613.192.0.0/1013.192.0.1 to 13.255.255.25413.255.255.2554,194,302
5714.0.0.0/1014.0.0.1 to 14.63.255.25414.63.255.2554,194,302
5814.64.0.0/1014.64.0.1 to 14.127.255.25414.127.255.2554,194,302
5914.128.0.0/1014.128.0.1 to 14.191.255.25414.191.255.2554,194,302
6014.192.0.0/1014.192.0.1 to 14.255.255.25414.255.255.2554,194,302
6115.0.0.0/1015.0.0.1 to 15.63.255.25415.63.255.2554,194,302
6215.64.0.0/1015.64.0.1 to 15.127.255.25415.127.255.2554,194,302
6315.128.0.0/1015.128.0.1 to 15.191.255.25415.191.255.2554,194,302
6415.192.0.0/1015.192.0.1 to 15.255.255.25415.255.255.2554,194,302
6516.0.0.0/1016.0.0.1 to 16.63.255.25416.63.255.2554,194,302
6616.64.0.0/1016.64.0.1 to 16.127.255.25416.127.255.2554,194,302
6716.128.0.0/1016.128.0.1 to 16.191.255.25416.191.255.2554,194,302
6816.192.0.0/1016.192.0.1 to 16.255.255.25416.255.255.2554,194,302
6917.0.0.0/1017.0.0.1 to 17.63.255.25417.63.255.2554,194,302
7017.64.0.0/1017.64.0.1 to 17.127.255.25417.127.255.2554,194,302
7117.128.0.0/1017.128.0.1 to 17.191.255.25417.191.255.2554,194,302
7217.192.0.0/1017.192.0.1 to 17.255.255.25417.255.255.2554,194,302
7318.0.0.0/1018.0.0.1 to 18.63.255.25418.63.255.2554,194,302
7418.64.0.0/1018.64.0.1 to 18.127.255.25418.127.255.2554,194,302
7518.128.0.0/1018.128.0.1 to 18.191.255.25418.191.255.2554,194,302
7618.192.0.0/1018.192.0.1 to 18.255.255.25418.255.255.2554,194,302
7719.0.0.0/1019.0.0.1 to 19.63.255.25419.63.255.2554,194,302
7819.64.0.0/1019.64.0.1 to 19.127.255.25419.127.255.2554,194,302
7919.128.0.0/1019.128.0.1 to 19.191.255.25419.191.255.2554,194,302
8019.192.0.0/1019.192.0.1 to 19.255.255.25419.255.255.2554,194,302
8120.0.0.0/1020.0.0.1 to 20.63.255.25420.63.255.2554,194,302
8220.64.0.0/1020.64.0.1 to 20.127.255.25420.127.255.2554,194,302
8320.128.0.0/1020.128.0.1 to 20.191.255.25420.191.255.2554,194,302
8420.192.0.0/1020.192.0.1 to 20.255.255.25420.255.255.2554,194,302
8521.0.0.0/1021.0.0.1 to 21.63.255.25421.63.255.2554,194,302
8621.64.0.0/1021.64.0.1 to 21.127.255.25421.127.255.2554,194,302
8721.128.0.0/1021.128.0.1 to 21.191.255.25421.191.255.2554,194,302
8821.192.0.0/1021.192.0.1 to 21.255.255.25421.255.255.2554,194,302
8922.0.0.0/1022.0.0.1 to 22.63.255.25422.63.255.2554,194,302
9022.64.0.0/1022.64.0.1 to 22.127.255.25422.127.255.2554,194,302
9122.128.0.0/1022.128.0.1 to 22.191.255.25422.191.255.2554,194,302
9222.192.0.0/1022.192.0.1 to 22.255.255.25422.255.255.2554,194,302
9323.0.0.0/1023.0.0.1 to 23.63.255.25423.63.255.2554,194,302
9423.64.0.0/1023.64.0.1 to 23.127.255.25423.127.255.2554,194,302
9523.128.0.0/1023.128.0.1 to 23.191.255.25423.191.255.2554,194,302
9623.192.0.0/1023.192.0.1 to 23.255.255.25423.255.255.2554,194,302
9724.0.0.0/1024.0.0.1 to 24.63.255.25424.63.255.2554,194,302
9824.64.0.0/1024.64.0.1 to 24.127.255.25424.127.255.2554,194,302
9924.128.0.0/1024.128.0.1 to 24.191.255.25424.191.255.2554,194,302
10024.192.0.0/1024.192.0.1 to 24.255.255.25424.255.255.2554,194,302
10125.0.0.0/1025.0.0.1 to 25.63.255.25425.63.255.2554,194,302
10225.64.0.0/1025.64.0.1 to 25.127.255.25425.127.255.2554,194,302
10325.128.0.0/1025.128.0.1 to 25.191.255.25425.191.255.2554,194,302
10425.192.0.0/1025.192.0.1 to 25.255.255.25425.255.255.2554,194,302
10526.0.0.0/1026.0.0.1 to 26.63.255.25426.63.255.2554,194,302
10626.64.0.0/1026.64.0.1 to 26.127.255.25426.127.255.2554,194,302
10726.128.0.0/1026.128.0.1 to 26.191.255.25426.191.255.2554,194,302
10826.192.0.0/1026.192.0.1 to 26.255.255.25426.255.255.2554,194,302
10927.0.0.0/1027.0.0.1 to 27.63.255.25427.63.255.2554,194,302
11027.64.0.0/1027.64.0.1 to 27.127.255.25427.127.255.2554,194,302
11127.128.0.0/1027.128.0.1 to 27.191.255.25427.191.255.2554,194,302
11227.192.0.0/1027.192.0.1 to 27.255.255.25427.255.255.2554,194,302
11328.0.0.0/1028.0.0.1 to 28.63.255.25428.63.255.2554,194,302
11428.64.0.0/1028.64.0.1 to 28.127.255.25428.127.255.2554,194,302
11528.128.0.0/1028.128.0.1 to 28.191.255.25428.191.255.2554,194,302
11628.192.0.0/1028.192.0.1 to 28.255.255.25428.255.255.2554,194,302
11729.0.0.0/1029.0.0.1 to 29.63.255.25429.63.255.2554,194,302
11829.64.0.0/1029.64.0.1 to 29.127.255.25429.127.255.2554,194,302
11929.128.0.0/1029.128.0.1 to 29.191.255.25429.191.255.2554,194,302
12029.192.0.0/1029.192.0.1 to 29.255.255.25429.255.255.2554,194,302
12130.0.0.0/1030.0.0.1 to 30.63.255.25430.63.255.2554,194,302
12230.64.0.0/1030.64.0.1 to 30.127.255.25430.127.255.2554,194,302
12330.128.0.0/1030.128.0.1 to 30.191.255.25430.191.255.2554,194,302
12430.192.0.0/1030.192.0.1 to 30.255.255.25430.255.255.2554,194,302
12531.0.0.0/1031.0.0.1 to 31.63.255.25431.63.255.2554,194,302
12631.64.0.0/1031.64.0.1 to 31.127.255.25431.127.255.2554,194,302
12731.128.0.0/1031.128.0.1 to 31.191.255.25431.191.255.2554,194,302
12831.192.0.0/1031.192.0.1 to 31.255.255.25431.255.255.2554,194,302
12932.0.0.0/1032.0.0.1 to 32.63.255.25432.63.255.2554,194,302
13032.64.0.0/1032.64.0.1 to 32.127.255.25432.127.255.2554,194,302
13132.128.0.0/1032.128.0.1 to 32.191.255.25432.191.255.2554,194,302
13232.192.0.0/1032.192.0.1 to 32.255.255.25432.255.255.2554,194,302
13333.0.0.0/1033.0.0.1 to 33.63.255.25433.63.255.2554,194,302
13433.64.0.0/1033.64.0.1 to 33.127.255.25433.127.255.2554,194,302
13533.128.0.0/1033.128.0.1 to 33.191.255.25433.191.255.2554,194,302
13633.192.0.0/1033.192.0.1 to 33.255.255.25433.255.255.2554,194,302
13734.0.0.0/1034.0.0.1 to 34.63.255.25434.63.255.2554,194,302
13834.64.0.0/1034.64.0.1 to 34.127.255.25434.127.255.2554,194,302
13934.128.0.0/1034.128.0.1 to 34.191.255.25434.191.255.2554,194,302
14034.192.0.0/1034.192.0.1 to 34.255.255.25434.255.255.2554,194,302
14135.0.0.0/1035.0.0.1 to 35.63.255.25435.63.255.2554,194,302
14235.64.0.0/1035.64.0.1 to 35.127.255.25435.127.255.2554,194,302
14335.128.0.0/1035.128.0.1 to 35.191.255.25435.191.255.2554,194,302
14435.192.0.0/1035.192.0.1 to 35.255.255.25435.255.255.2554,194,302
14536.0.0.0/1036.0.0.1 to 36.63.255.25436.63.255.2554,194,302
14636.64.0.0/1036.64.0.1 to 36.127.255.25436.127.255.2554,194,302
14736.128.0.0/1036.128.0.1 to 36.191.255.25436.191.255.2554,194,302
14836.192.0.0/1036.192.0.1 to 36.255.255.25436.255.255.2554,194,302
14937.0.0.0/1037.0.0.1 to 37.63.255.25437.63.255.2554,194,302
15037.64.0.0/1037.64.0.1 to 37.127.255.25437.127.255.2554,194,302
15137.128.0.0/1037.128.0.1 to 37.191.255.25437.191.255.2554,194,302
15237.192.0.0/1037.192.0.1 to 37.255.255.25437.255.255.2554,194,302
15338.0.0.0/1038.0.0.1 to 38.63.255.25438.63.255.2554,194,302
15438.64.0.0/1038.64.0.1 to 38.127.255.25438.127.255.2554,194,302
15538.128.0.0/1038.128.0.1 to 38.191.255.25438.191.255.2554,194,302
15638.192.0.0/1038.192.0.1 to 38.255.255.25438.255.255.2554,194,302
15739.0.0.0/1039.0.0.1 to 39.63.255.25439.63.255.2554,194,302
15839.64.0.0/1039.64.0.1 to 39.127.255.25439.127.255.2554,194,302
15939.128.0.0/1039.128.0.1 to 39.191.255.25439.191.255.2554,194,302
16039.192.0.0/1039.192.0.1 to 39.255.255.25439.255.255.2554,194,302
16140.0.0.0/1040.0.0.1 to 40.63.255.25440.63.255.2554,194,302
16240.64.0.0/1040.64.0.1 to 40.127.255.25440.127.255.2554,194,302
16340.128.0.0/1040.128.0.1 to 40.191.255.25440.191.255.2554,194,302
16440.192.0.0/1040.192.0.1 to 40.255.255.25440.255.255.2554,194,302
16541.0.0.0/1041.0.0.1 to 41.63.255.25441.63.255.2554,194,302
16641.64.0.0/1041.64.0.1 to 41.127.255.25441.127.255.2554,194,302
16741.128.0.0/1041.128.0.1 to 41.191.255.25441.191.255.2554,194,302
16841.192.0.0/1041.192.0.1 to 41.255.255.25441.255.255.2554,194,302
16942.0.0.0/1042.0.0.1 to 42.63.255.25442.63.255.2554,194,302
17042.64.0.0/1042.64.0.1 to 42.127.255.25442.127.255.2554,194,302
17142.128.0.0/1042.128.0.1 to 42.191.255.25442.191.255.2554,194,302
17242.192.0.0/1042.192.0.1 to 42.255.255.25442.255.255.2554,194,302
17343.0.0.0/1043.0.0.1 to 43.63.255.25443.63.255.2554,194,302
17443.64.0.0/1043.64.0.1 to 43.127.255.25443.127.255.2554,194,302
17543.128.0.0/1043.128.0.1 to 43.191.255.25443.191.255.2554,194,302
17643.192.0.0/1043.192.0.1 to 43.255.255.25443.255.255.2554,194,302
17744.0.0.0/1044.0.0.1 to 44.63.255.25444.63.255.2554,194,302
17844.64.0.0/1044.64.0.1 to 44.127.255.25444.127.255.2554,194,302
17944.128.0.0/1044.128.0.1 to 44.191.255.25444.191.255.2554,194,302
18044.192.0.0/1044.192.0.1 to 44.255.255.25444.255.255.2554,194,302
18145.0.0.0/1045.0.0.1 to 45.63.255.25445.63.255.2554,194,302
18245.64.0.0/1045.64.0.1 to 45.127.255.25445.127.255.2554,194,302
18345.128.0.0/1045.128.0.1 to 45.191.255.25445.191.255.2554,194,302
18445.192.0.0/1045.192.0.1 to 45.255.255.25445.255.255.2554,194,302
18546.0.0.0/1046.0.0.1 to 46.63.255.25446.63.255.2554,194,302
18646.64.0.0/1046.64.0.1 to 46.127.255.25446.127.255.2554,194,302
18746.128.0.0/1046.128.0.1 to 46.191.255.25446.191.255.2554,194,302
18846.192.0.0/1046.192.0.1 to 46.255.255.25446.255.255.2554,194,302
18947.0.0.0/1047.0.0.1 to 47.63.255.25447.63.255.2554,194,302
19047.64.0.0/1047.64.0.1 to 47.127.255.25447.127.255.2554,194,302
19147.128.0.0/1047.128.0.1 to 47.191.255.25447.191.255.2554,194,302
19247.192.0.0/1047.192.0.1 to 47.255.255.25447.255.255.2554,194,302
19348.0.0.0/1048.0.0.1 to 48.63.255.25448.63.255.2554,194,302
19448.64.0.0/1048.64.0.1 to 48.127.255.25448.127.255.2554,194,302
19548.128.0.0/1048.128.0.1 to 48.191.255.25448.191.255.2554,194,302
19648.192.0.0/1048.192.0.1 to 48.255.255.25448.255.255.2554,194,302
19749.0.0.0/1049.0.0.1 to 49.63.255.25449.63.255.2554,194,302
19849.64.0.0/1049.64.0.1 to 49.127.255.25449.127.255.2554,194,302
19949.128.0.0/1049.128.0.1 to 49.191.255.25449.191.255.2554,194,302
20049.192.0.0/1049.192.0.1 to 49.255.255.25449.255.255.2554,194,302
20150.0.0.0/1050.0.0.1 to 50.63.255.25450.63.255.2554,194,302
20250.64.0.0/1050.64.0.1 to 50.127.255.25450.127.255.2554,194,302
20350.128.0.0/1050.128.0.1 to 50.191.255.25450.191.255.2554,194,302
20450.192.0.0/1050.192.0.1 to 50.255.255.25450.255.255.2554,194,302
20551.0.0.0/1051.0.0.1 to 51.63.255.25451.63.255.2554,194,302
20651.64.0.0/1051.64.0.1 to 51.127.255.25451.127.255.2554,194,302
20751.128.0.0/1051.128.0.1 to 51.191.255.25451.191.255.2554,194,302
20851.192.0.0/1051.192.0.1 to 51.255.255.25451.255.255.2554,194,302
20952.0.0.0/1052.0.0.1 to 52.63.255.25452.63.255.2554,194,302
21052.64.0.0/1052.64.0.1 to 52.127.255.25452.127.255.2554,194,302
21152.128.0.0/1052.128.0.1 to 52.191.255.25452.191.255.2554,194,302
21252.192.0.0/1052.192.0.1 to 52.255.255.25452.255.255.2554,194,302
21353.0.0.0/1053.0.0.1 to 53.63.255.25453.63.255.2554,194,302
21453.64.0.0/1053.64.0.1 to 53.127.255.25453.127.255.2554,194,302
21553.128.0.0/1053.128.0.1 to 53.191.255.25453.191.255.2554,194,302
21653.192.0.0/1053.192.0.1 to 53.255.255.25453.255.255.2554,194,302
21754.0.0.0/1054.0.0.1 to 54.63.255.25454.63.255.2554,194,302
21854.64.0.0/1054.64.0.1 to 54.127.255.25454.127.255.2554,194,302
21954.128.0.0/1054.128.0.1 to 54.191.255.25454.191.255.2554,194,302
22054.192.0.0/1054.192.0.1 to 54.255.255.25454.255.255.2554,194,302
22155.0.0.0/1055.0.0.1 to 55.63.255.25455.63.255.2554,194,302
22255.64.0.0/1055.64.0.1 to 55.127.255.25455.127.255.2554,194,302
22355.128.0.0/1055.128.0.1 to 55.191.255.25455.191.255.2554,194,302
22455.192.0.0/1055.192.0.1 to 55.255.255.25455.255.255.2554,194,302
22556.0.0.0/1056.0.0.1 to 56.63.255.25456.63.255.2554,194,302
22656.64.0.0/1056.64.0.1 to 56.127.255.25456.127.255.2554,194,302
22756.128.0.0/1056.128.0.1 to 56.191.255.25456.191.255.2554,194,302
22856.192.0.0/1056.192.0.1 to 56.255.255.25456.255.255.2554,194,302
22957.0.0.0/1057.0.0.1 to 57.63.255.25457.63.255.2554,194,302
23057.64.0.0/1057.64.0.1 to 57.127.255.25457.127.255.2554,194,302
23157.128.0.0/1057.128.0.1 to 57.191.255.25457.191.255.2554,194,302
23257.192.0.0/1057.192.0.1 to 57.255.255.25457.255.255.2554,194,302
23358.0.0.0/1058.0.0.1 to 58.63.255.25458.63.255.2554,194,302
23458.64.0.0/1058.64.0.1 to 58.127.255.25458.127.255.2554,194,302
23558.128.0.0/1058.128.0.1 to 58.191.255.25458.191.255.2554,194,302
23658.192.0.0/1058.192.0.1 to 58.255.255.25458.255.255.2554,194,302
23759.0.0.0/1059.0.0.1 to 59.63.255.25459.63.255.2554,194,302
23859.64.0.0/1059.64.0.1 to 59.127.255.25459.127.255.2554,194,302
23959.128.0.0/1059.128.0.1 to 59.191.255.25459.191.255.2554,194,302
24059.192.0.0/1059.192.0.1 to 59.255.255.25459.255.255.2554,194,302
24160.0.0.0/1060.0.0.1 to 60.63.255.25460.63.255.2554,194,302
24260.64.0.0/1060.64.0.1 to 60.127.255.25460.127.255.2554,194,302
24360.128.0.0/1060.128.0.1 to 60.191.255.25460.191.255.2554,194,302
24460.192.0.0/1060.192.0.1 to 60.255.255.25460.255.255.2554,194,302
24561.0.0.0/1061.0.0.1 to 61.63.255.25461.63.255.2554,194,302
24661.64.0.0/1061.64.0.1 to 61.127.255.25461.127.255.2554,194,302
24761.128.0.0/1061.128.0.1 to 61.191.255.25461.191.255.2554,194,302
24861.192.0.0/1061.192.0.1 to 61.255.255.25461.255.255.2554,194,302
24962.0.0.0/1062.0.0.1 to 62.63.255.25462.63.255.2554,194,302
25062.64.0.0/1062.64.0.1 to 62.127.255.25462.127.255.2554,194,302
25162.128.0.0/1062.128.0.1 to 62.191.255.25462.191.255.2554,194,302
25262.192.0.0/1062.192.0.1 to 62.255.255.25462.255.255.2554,194,302
25363.0.0.0/1063.0.0.1 to 63.63.255.25463.63.255.2554,194,302
25463.64.0.0/1063.64.0.1 to 63.127.255.25463.127.255.2554,194,302
25563.128.0.0/1063.128.0.1 to 63.191.255.25463.191.255.2554,194,302
25663.192.0.0/1063.192.0.1 to 63.255.255.25463.255.255.2554,194,302

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses